# Interface: SharedLibraryConfig

## Table of contents

### Properties

- [eager](../../devkit/documents/SharedLibraryConfig#eager): boolean
- [requiredVersion](../../devkit/documents/SharedLibraryConfig#requiredversion): string | false
- [singleton](../../devkit/documents/SharedLibraryConfig#singleton): boolean
- [strictVersion](../../devkit/documents/SharedLibraryConfig#strictversion): boolean

## Properties

### eager

• `Optional` **eager**: `boolean`

---

### requiredVersion

• `Optional` **requiredVersion**: `string` \| `false`

---

### singleton

• `Optional` **singleton**: `boolean`

---

### strictVersion

• `Optional` **strictVersion**: `boolean`
